package bloodnamegen.util;

import java.util.Random;

/**
 * @author Neoancient
 * 
 * Copyright Carl Spain
 * 
 *     This file is part of BloodnameGen.
 *
 *  BloodnameGen is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  BloodnameGen is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with BloodnameGen.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

public class Dice {
	private static Random rand = new Random();
	
	public static int randomInt(int size) {
		return rand.nextInt(size);
	}
	
	public static int roll(int num, int die) {
		int total = 0;
		for (int i = 0; i < num; i++)
			total += rand.nextInt(die) + 1;
		return total;
	}
	
	public static int d6() {
		return rand.nextInt(6) + 1;
	}
	
	public static int d10() {
		return rand.nextInt(10) + 1;
	}
	
	public static int d20() {
		return rand.nextInt(20) + 1;
	}
	
	public static int d100() {
		return rand.nextInt(100) + 1;
	}

	public static int d12() {
		return rand.nextInt(12) + 1;
	}

	public static int d4() {
		return rand.nextInt(4) + 1;
	}
	
}